E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
GNet::LineBufferConfig Class Reference

A configuration structure for GNet::LineBuffer. More...

`#include <glinebuffer.h>`

## Public Member Functions
| LineBufferConfig (const std::string &eol=std::string(1U,'\n'), size_t warn=0U, size_t fail=0U)
| Constructor. More...
const std::string & | eol () const
| Returns the end-of-line string as passed to the constructor.
size_t | warn () const
| Returns the warn-limit, as passed to the constructor.
size_t | fail () const
| Returns the fail-limit, as passed to the constructor.

## Static Public Member Functions
static LineBufferConfig | http ()
| Convenience factory function.
static LineBufferConfig | smtp ()
| Convenience factory function.
static LineBufferConfig | pop ()
| Convenience factory function.
static LineBufferConfig | crlf ()
| Convenience factory function.
static LineBufferConfig | newline ()
| Convenience factory function.
static LineBufferConfig | autodetect ()
| Convenience factory function.

## Detailed Description

A configuration structure for GNet::LineBuffer.

Definition at line 174 of file glinebuffer.h.

## Constructor & Destructor Documentation

GNet::LineBufferConfig::LineBufferConfig | ( | const std::string & | eol = `std::string(1U,'\n')`,
|  | size_t | warn = `0U`,
|  | size_t | fail = `0U`
| ) |  |
| explicit

Constructor.

An empty end-of-line string detects either LF or CR-LF. The default end-of-line string is newline. A non-zero warn-limit generates a one-shot warning when breached, and the fail-limit causes an exception when breached. The fail-limit defaults to something large if given as zero.

Definition at line 294 of file glinebuffer.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/glinebuffer.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gnet/glinebuffer.cpp